Extension:SpellingApi

From MediaWiki.org
Jump to: navigation, search
MediaWiki extensions manual - list
Crystal Clear action run.png
SpellingApi

Release status: beta

Implementation API
Description Provides an API for spell-checking
Author(s) Amir E. Aharoni (Amire80talk)
Latest version 0.1 (2013-02-13)
MediaWiki 1.20+
Database changes No
License GPL v2.0 or later
Download

Translate the SpellingApi extension if possible

Check usage and version matrix; code metrics

The SpellingApi extension adds an API module for checking the spelling of texts. It uses the PHP pspell library, so it must be installed on the server.

The current version is just a simple proof of concept.

Download[edit | edit source]

You can download the extension directly from the MediaWiki source code repository (browse code). You can get:

One of the extensions tags

Not all extensions have tags. Some extensions have tags for each release, in which case those tags have the same stability as the release. To download a tag

  • Go to the tags list
  • Click the name of the tag you want to download
  • Click "snapshot"
The latest version of one of the extensions branches

Each extension has a master branch containing the latest code (might be unstable). Extensions can have further branches as well.

  • Go to the branches list
  • Click the branch name
  • Click "snapshot"
A snapshot made during the release of a MediaWiki version.

This might be unstable and is not guaranteed to work with the associated MediaWiki version.

After you've got the code, save it into the extensions/SpellingApi directory of your wiki.

If you are familiar with git and have shell access to your server, you can obtain the extension, with all its tags and branches, as follows:

cd extensions
git clone https://gerrit.wikimedia.org/r/p/mediawiki/extensions/SpellingApi.git

Installation[edit | edit source]

  • Download and extract the files in a directory called SpellingApi in your extensions/ folder. If you're a developer and this extension is in a Git repository, then instead you should clone the repository.
  • Add the following code at the bottom of your LocalSettings.php:
require_once( "$IP/extensions/SpellingApi/SpellingApi.php" );
  • Done! Navigate to "Special:Version" on your wiki to verify that the extension is successfully installed.